/**
 * 后台管理权限组数据模型
 *
 * @author EllisRan
 * @date 2018/12/06
 * @version
 */
import mongoose from "mongoose";

let Schema = mongoose.Schema;
let collectionName = 'permission_group';
let modelSchema = {
    // 组名
    name: {
        type: String,
        index: true
    },
    // 权限ID JSON列表
    permission: String,
    // 创建时间
    create_time: {
        type: Number,
        default: 0
    },
};
mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));
